from setuptools import setup, find_packages

setup(
    name='geniusweb',
    version='1.0.0',    
    description='GeniusWeb glue code to connect python3 parties',
    url='https://tracinsy.ewi.tudelft.nl/pubtrac/GeniusWeb',
    author='W.Pasman',
    #packages={'src':'*'},
    packages = find_packages(exclude=["test", "test.*","test.*.*"]),
    package_data = { 'geniusweb': ['py.typed'],'tudelft': ['py.typed']    },
    install_requires=[ 
        "pyson@https://tracinsy.ewi.tudelft.nl/pubtrac/Utilities/export/238/pyson/dist/pyson-1.0.0.tar.gz",
        "utilities@https://tracinsy.ewi.tudelft.nl/pubtrac/Utilities/export/243/utilitiespy/dist/utilities-1.0.0.tar.gz",
        "logging@https://tracinsy.ewi.tudelft.nl/pubtrac/Utilities/export/226/loggingpy/dist/logging-1.0.0.tar.gz",
        "websocket-client==1.0.1"
        ],
    #install_requires=[ "packson3@http://localhost:8000/packson3-1.0.0.tar.gz"],

    classifiers=[
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9'
    ],
)